Page MenuHomePhabricator

Install VueTest extension in beta labs
Closed, ResolvedPublic5 Estimated Story Points

Description

We've talked about using PatchDemo in combination with the VueTest extension to test Codex patches in a MediaWiki environment, see T287044. But that doesn't give us the ability to test Codex code in the current version of MediaWiki. To enable that, we should install the VueTest extension in beta labs. We may also want to deploy it on testwiki in the future, but there may be concerns about deploying a test extension to production.

Event Timeline

egardner raised the priority of this task from Lowest to High.
egardner moved this task from Backlog to Design-System-Sprint on the Design-System-Team board.
Catrope renamed this task from Install VueTest extension in beta labs to Install VueTest extension in beta labs and test.wikipedia.org.Jan 27 2023, 12:49 AM
Catrope updated the task description. (Show Details)

Change 884143 had a related patch set uploaded (by Catrope; author: Catrope):

[integration/config@master] Zuul: [mediawiki/extensions/VueTest] Mark as in production

https://gerrit.wikimedia.org/r/884143

I read through the linked T287044, but it's unclear to me why a "Test" extension needs to be deployed to production. If testing can only be done in beta cluster or on a prod wiki, that seems like a serious problem that installing a test extension doesn't really address?

Change 884143 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/VueTest] Mark as in production

https://gerrit.wikimedia.org/r/884143

Change 884361 had a related patch set uploaded (by Catrope; author: Catrope):

[operations/mediawiki-config@master] Add VueTest to extension-list, add config var

https://gerrit.wikimedia.org/r/884361

I read through the linked T287044, but it's unclear to me why a "Test" extension needs to be deployed to production. If testing can only be done in beta cluster or on a prod wiki, that seems like a serious problem that installing a test extension doesn't really address?

It can be done locally or on PatchDemo too, but we'd like to have a way for non-technical people to use this test extension as well. We can drop testwiki from this plan if it makes people uncomfortable, but it'd be a big benefit to us to have this extension deployed to the beta cluster.

Specifically, what this would allow us to do is test how the main branch of Codex integrates into MediaWiki before we do a Codex release, and without having to create a PatchDemo wiki that then won't update when Codex changes.

Change 884364 had a related patch set uploaded (by Catrope; author: Catrope):

[operations/mediawiki-config@master] Enable VueTest in labs only

https://gerrit.wikimedia.org/r/884364

Catrope renamed this task from Install VueTest extension in beta labs and test.wikipedia.org to Install VueTest extension in beta labs.Jan 27 2023, 7:06 PM
Catrope updated the task description. (Show Details)
Catrope updated the task description. (Show Details)
egardner set the point value for this task to 5.Feb 7 2023, 9:40 PM

Change 884361 merged by jenkins-bot:

[operations/mediawiki-config@master] Add VueTest to extension-list, add config var

https://gerrit.wikimedia.org/r/884361

Mentioned in SAL (#wikimedia-operations) [2023-02-21T21:37:50Z] <catrope@deploy1002> Started scap: Backport for [[gerrit:884361|Add VueTest to extension-list, add config var (T315621)]]

Mentioned in SAL (#wikimedia-operations) [2023-02-21T22:01:16Z] <catrope@deploy1002> catrope: Backport for [[gerrit:884361|Add VueTest to extension-list, add config var (T315621)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-02-21T22:14:58Z] <catrope@deploy1002> Finished scap: Backport for [[gerrit:884361|Add VueTest to extension-list, add config var (T315621)]] (duration: 37m 07s)

Change 884364 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable VueTest in labs only

https://gerrit.wikimedia.org/r/884364

Catrope updated the task description. (Show Details)

It can be done locally or on PatchDemo too, but we'd like to have a way for non-technical people to use this test extension as well. We can drop testwiki from this plan if it makes people uncomfortable, but it'd be a big benefit to us to have this extension deployed to the beta cluster.

I wonder if it make sense to add this extension to translatewiki?

Yes, it would probably make sense to add VueTest to translatewiki. It's a low priority for translation, but it does contain a handful of translatable messages (6 messages in total).